Productsup
API referenceV1Export template

Retrieve a single export template

An export template is a resource that holds the main information of a template for creating channels. This is the main resource which is linked to all other sub-resources that comprise the full channel template. After an export template has been created, all other sub-resources can be linked to it to create an entire channel template. This endpoint shows a single export template.

GET
/V1/export-templates/{id}

Authorization

bearerAuth
AuthorizationBearer <token>

ProductsUp Keycloak JWT bearer token.

In: header

Path Parameters

id*string

Export template id.

Header Parameters

X-Channel-Template-Context?string

Name of channel template context to process request against.

Response Body

application/json

application/json

application/json

curl -X GET "https://export-template-api.productsup.com/V1/export-templates/string"
{
  "data": {
    "id": 58742,
    "name": "plain export 1",
    "encoding": null,
    "global": false,
    "pseudo": false,
    "allowXml": false,
    "validDelimiter": "",
    "roiOptions": "",
    "accountId": 0,
    "projectId": 0,
    "siteId": 0,
    "logoUrl": "https://ctm-channel-logos.stage-ctm-cdn.productsup.com/channel/0/logo.png",
    "createDelta": false,
    "deltaKeyUnique": true,
    "deltaNewFilename": null,
    "deltaChangedFilename": null,
    "deltaDeletedFilename": null,
    "deltaUnchangedFilename": null,
    "deltaSkippedFilename": null,
    "deltaSingleFile": null,
    "customClassName": null,
    "defaultFilename": "pdsfeed.csv",
    "exportMarketing": {
      "id": 40667,
      "type": null,
      "publish": null,
      "marketingTitle": null,
      "websiteLink": null,
      "landingPageLink": null,
      "featured": null,
      "products": null,
      "description": null,
      "priority": 0,
      "helpLink": null,
      "exportCategoryIds": [
        "19"
      ],
      "exportCountryIds": [],
      "exportBrand": null
    },
    "fields": [],
    "tags": [],
    "customFormFields": [],
    "owner": {
      "ownerId": "01977d42-c9ee-7f5e-abe5-cb2a3ba85eea"
    },
    "exportType": {
      "type": "standard",
      "mainExportId": null
    },
    "context": []
  }
}
{
  "errors": {
    "message": "Resource access denied."
  }
}
{
  "errors": {
    "message": "Export template with id 123 not found."
  }
}

How is this guide?